<div class="container">
  <h1>เพิ่มผู้ใช้งาน</h1>

  <%#= render "form", user: @user %>
  <% user =  @user %>

  <%= form_with(model: user, local: true) do |form| %>

  <div class="form-group">
    <%= form.label :role, style: "display: block" %>

    <% if current_user.admin?%>
      <%= form.select :role, User::ROLES, {}, class: 'form-control' %>
    <% else %>
      <%= form.select :role, User::MEMBERROLES, {}, class: 'form-control' %>
    <% end %>
  </div>

  <div class="form-group">
    <%= form.label :ชื่อ, style: "display: block" %>
    <%= form.text_field :name, class: 'form-control' %>
    <% user.errors.full_messages_for(:name).each do |error_message| %>
      <div class="text-red">
        <%= error_message.sub("Name","") %>
      </div>
    <% end %>

    <%= form.label :username, style: "display: block" %>
    <%= form.text_field :username, class: 'form-control' %>
    <% user.errors.full_messages_for(:username).each do |error_message| %>
      <div class="text-red">
        <%= error_message.sub("Username","") %>
      </div>
    <% end %>

    <%= form.label :email, style: "display: block" %>
    <%= form.text_field :email, class: 'form-control' %>
    <% user.errors.full_messages_for(:email).each do |error_message| %>
      <div class="text-red">
        <%= error_message.sub("email","") %>
      </div>
    <% end %>

    <%= form.fields_for :user_datum do |datum| %>
    
      <%= datum.label 'สองตัว/บาทละ', style: "display: block" %>
      <%= datum.text_field :percent, class: 'form-control' %>
      <% user.errors.full_messages_for("user_datum.percent").each do |error_message| %>
        <div class="text-red">
          <%= error_message.sub("User datum percent","") %>
        </div>
      <% end %>

      <%= datum.label 'สามตัวตรง/บาทละ', style: "display: block" %>
      <%= datum.text_field :three_percent, class: 'form-control' %>
      <% user.errors.full_messages_for("user_datum.three_percent").each do |error_message| %>
        <div class="text-red">
          <%= error_message.sub("User datum three percent","") %>
        </div>
      <% end %>

      <%= datum.label 'สามตัวโต๊ด/บาทละ', style: "display: block" %>
      <%= datum.text_field :three_reverse_percent, class: 'form-control' %>
      <% user.errors.full_messages_for("user_datum.three_reverse_percent").each do |error_message| %>
        <div class="text-red">
          <%= error_message.sub("User datum three reverse percent","") %>
        </div>
      <% end %>

      <%= datum.label 'วิ่งบน/บาทละ', style: "display: block" %>
      <%= datum.text_field :run_percent, class: 'form-control' %>
      <% user.errors.full_messages_for("user_datum.run_percent").each do |error_message| %>
        <div class="text-red">
          <%= error_message.sub("User datum run percent","") %>
        </div>
      <% end %>

      <%= datum.label 'วิ่งล่าง/บาทละ', style: "display: block" %>
      <%= datum.text_field :run_bottom_percent, class: 'form-control' %>
      <% user.errors.full_messages_for("user_datum.run_bottom_percent").each do |error_message| %>
        <div class="text-red">
          <%= error_message.sub("User datum run bottom percent","") %>
        </div>
      <% end %>

      <%= datum.label :'สองตัว/เปอร์เซ็น', style: "display: block" %>
      <%= datum.text_field :user_percent, class: 'form-control' %>
      <% user.errors.full_messages_for("user_datum.user_percent").each do |error_message| %>
        <div class="text-red">
          <%= error_message.sub("User datum user percent","") %>
        </div>
      <% end %>

      <%= datum.label :'สามตัว/เปอร์เซ็น', style: "display: block" %>
      <%= datum.text_field :three_user_percent, class: 'form-control' %>
      <% user.errors.full_messages_for("user_datum.user_percent").each do |error_message| %>
        <div class="text-red">
          <%= error_message.sub("User datum user percent","") %>
        </div>
      <% end %>

      <%= datum.label :'วิ่ง/เปอร์เซ็น', style: "display: block" %>
      <%= datum.text_field :run_user_percent, class: 'form-control' %>
      <% user.errors.full_messages_for("user_datum.user_percent").each do |error_message| %>
        <div class="text-red">
          <%= error_message.sub("User datum user percent","") %>
        </div>
      <% end %>

      <%= datum.label :'Credit', style: "display: block" %>
      <%= datum.text_field :credit, class: 'form-control' %>
      <% user.errors.full_messages_for("user_datum.credit").each do |error_message| %>
        <div class="text-red">
          <%= error_message.sub("User datum user percent","") %>
        </div>
      <% end %>

      <div class="form-group">
        <%= datum.label 'อนุญาตให้สู้', style: "display: block" %>
        <%= datum.select :fightable, User::FIGHTABLE, {selected: current_user.user_datum.fightable || 0 }, class: 'form-control' %>
      </div>

    <% end %>

    <%= form.label :รหัสผ่าน, style: "display: block" %>
    <%= form.password_field :password, class: 'form-control' %>
    <% user.errors.full_messages_for(:password).each do |error_message| %>
      <div class="text-red">
        <%= error_message.sub("password","") %>
      </div>
    <% end %>

    <%= form.label :ยืนยันรหัสผ่าน, style: "display: block" %>
    <%= form.password_field :password_confirmation, class: 'form-control' %>
    <% user.errors.full_messages_for(:password_confirmation).each do |error_message| %>
      <div class="text-red">
        <%= error_message.sub("password_confirmation","") %>
      </div>
    <% end %>


  <div>
    <%= form.submit 'บันทึก', class: 'btn btn-primary' %>
  </div>
<% end %>

  <br>

  <div class="pull-right">
    <%= link_to "กลับ", admins_path, class: 'btn btn-success' %>
  </div>
</div>
